Package ch.qos.logback.core.joran.spi

## Class ElementPath

- java.lang.Object
- - ch.qos.logback.core.joran.spi.ElementPath

Direct Known Subclasses:
  `ElementSelector`

    public class ElementPath
    extends java.lang.Object

A element path characterizes a traversal path in an XML document.

Since:
  1.1.0
Author:
  Ceki Gulcu

### Constructor Summary

Constructors
`ElementPath()`
`ElementPath​(java.lang.String pathStr)` Build an elementPath from a string.
`ElementPath​(java.util.List<java.lang.String> list)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ElementPath` `duplicate()`
`boolean` `equals​(java.lang.Object o)`
`java.lang.String` `get​(int i)`
`java.util.List<java.lang.String>` `getCopyOfPartList()`
`java.lang.String` `peekLast()`
`void` `pop()`
`void` `push​(java.lang.String s)`
`int` `size()`
`protected java.lang.String` `toStableString()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ElementPath

    public ElementPath()

#### ElementPath

    public ElementPath​(java.util.List<java.lang.String> list)

#### ElementPath

    public ElementPath​(java.lang.String pathStr)

Build an elementPath from a string.

Note that "/x" is considered equivalent to "x" and to "x/"

### Method Detail

#### duplicate

    public ElementPath duplicate()

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getCopyOfPartList

    public java.util.List<java.lang.String> getCopyOfPartList()

#### push

    public void push​(java.lang.String s)

#### get

    public java.lang.String get​(int i)

#### pop

    public void pop()

#### peekLast

    public java.lang.String peekLast()

#### size

    public int size()

#### toStableString

    protected java.lang.String toStableString()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`